<?php

class Service_UserProfileSkype extends XcBase {

      var $_kernel;

        function Service_UserProfileSkype($kernelLink) {
           $this->_localname = 'UserProfileSkype';
           $this->XcBase($kernelLink);
           $this->_kernel = $this->srvMainKernel();
           $this->advOnto = $this->_kernel->srvFactory("AdvOntology");
        }

        function onInstall($params) {
           $this->advOnto->addTypeField("User", "skypename", "varchar(200)");

           return true;
    }


    function onUninstall($params) {
          $this->advOnto->delTypeField("User", "skypename");
           return true;
    }

}


?>
